如何在Ubuntu上安装QGIS 3

最后几天,我被问到很多问题,如何以及在哪里安装新的 QGIS 3.
到目前为止,没有可用的Windows二进制文件(据我所知…)。但是您可以在Linux上安装并运行QGIS 3.0。

如果您正在跑步 的Ubuntu 17.10(巧妙)甚至18.04(仿生)(请注意,’仍然是alphaðŸ〜‰),安装起来非常容易:

打开终端,然后将以下存储库添加到您的sources.list:

对于17.10:

sudo  广告 d-apt-repository "deb     https://  qgis  .org/debian artful main"
sudo  广告 d-apt-repository "deb-src https://  qgis  .org/debian artful main"

 

或者,对于18.04:

sudo  广告 d-apt-repository "deb     https://  qgis  .org/debian  仿生的  main"
sudo  广告 d-apt-repository "deb-src https://  qgis  .org/debian  仿生的  main"

 

添加公钥:

wget -O - https://  qgis  .org/downloads/  qgis  -2017.gpg.key | gpg --import
gpg --fingerprint CAEB3DC3BDF7FB45
gpg --export --armor CAEB3DC3BDF7FB45 | sudo apt-key  广告 d -


更新并安装QGIS:

sudo apt-get update && sudo apt-get  安装    qgis   python-  qgis     qgis  -plugin-grass

喜欢使用全新的QGIS 3!

但是,一旦Windows的二进制文件发布了,我仍然建议在Linux上使用QGIS。我认为它在Linux下运行更稳定,问题更少(’这意味着它在Windows下运行不稳定…).

关于作者

西蒙 是慕尼黑工业大学(TUM)遥感领域的研究助理。目前,他正在研究借助高光谱和LiDAR数据描述芦苇生态系统参数的方法。除了地理信息学外,他还喜欢进行户外活动,例如远足和爬山。

11条留言

您 can post comments in this post.


  • 不幸的是,由于QT,QWT和QScintilla等过时的版本(例如3D视图),与Windows中的QGIS相比,我意识到Linux中缺少功能。我不明白为什么QGIS安装不会像Windows一样在Linux上安装所需库的最新版本,而我仍然无法解决问题。

    太阳神 3年前 回复


    • That depends more on your distribution than on QGIS. 您 can either try it out on a newer distro or to 安装 the required packages manually.

      西蒙 3年前 回复


      • 好的,西蒙。感谢您的小费!很棒的帖子。

        太阳神 3年前 回复


  • 带有3d的QGIS是否也适用于xenial?

    贾斯汀 3年前 回复


    • No, not natively. 您 have to struggle with missing dependencies.
      我建议使用较新版本的Ubuntu。此外,等待4月的新LTS似乎值得。

      西蒙 3年前 回复


    • 您 can use ubuntu gis repository to 安装 it, no need to use (still) buggy 18.04.

      广告 3年前 回复


  • 要使用QGIS 3安装SAGA,请使用‘saga’在命令末尾,如下所示:
    sudo apt-get更新&&须藤apt-get 安装 qgis python-qgis qgis -plugin-grass 佐贺

    侯赛因 3年前 回复


  • 在xubuntu 18 04 beta上运行时出现问题。 qgis -providers:取决于:qtbase-abi-5-9-4但不可安装仿生具有5-9-5和5-9-4不可用

    蒂姆 3年前 回复


  • 使用Linux Mint 18.3,我必须添加ubuntugis ppa才能满足所有依赖性。

    乔纳·沙利文 3年前 回复


  • 我对遇到依赖关系破裂的任何人的建议是检查/etc/apt/sources.list文件,以确保您添加的QGIS存储库与您的ubuntugis PPA相匹配。

    杰西卡·戈佐(Jessica Gorzo) 2年前 回复


  • 如果签名密钥失败,请执行以下操作

    要安装它,首先为该程序添加webupd8存储库:

    sudo 广告 d-apt-repository ppa:webupd8team / y-ppa-manager

    更新您的软件列表并安装Y-PPA-Manager:

    sudo apt-get更新
    须藤apt-get 安装 y-ppa-manager

    运行y-ppa-manager(即键入y-ppa-manager,然后按Enter键)。

    当出现y-ppa-manager主窗口时,点击“Advanced.”

    从高级任务列表中,选择“尝试导入所有丢失的GPG密钥” and click OK.

    您’重做!如警告对话框所述,当您开始操作时,可能需要一段时间(对我来说大约2分钟),具体取决于多少PPA’您所拥有的以及连接的速度。

    蒂亚戈 1年前 回复


发表回复

*